#include <stdio.h>
#include <IOKit/IOTimerEventSource.h>

/*setTimeoutMS


Setup a callback at after the delay in milliseconds. See wakeAtTime(AbsoluteTime). 
public

virtual IOReturn setTimeoutMS(
    UInt32 ms); 
Parameters
interval
Delay from now to wake up, time in milliseconds.
Return Value

kIOReturnSuccess if everything is fine, kIOReturnNoResources if action hasn't been declared.*/
IOReturn IOTimerEventSource:: setTimeoutMS(
    UInt32 ms){
printf ("setTimeoutMS",ms);
};

/*timerEventSource


Allocates and returns an initialized timer instance. 
public

static IOTimerEventSource * timerEventSource(
    OSObject *owner,
    Action action = 0); 
Parameters
owner
action*/
 IOTimerEventSource *IOTimerEventSource::  timerEventSource(
    OSObject *owner,
    Action action ){
printf ("timerEventSource",*owner,action);
}; 

/*cancelTimeout


Disable any outstanding calls to this event source. 
public

virtual void cancelTimeout(); 
Discussion 

Clear down any oustanding calls. By the time this function completes it is guaranteed that the action will not be called again.*/
void IOTimerEventSource::  cancelTimeout(){
printf ("cancelTimeout");
}; 

